package de.jottyfan.minecraft.quickiefabric.tools;

import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ToolMaterials;

/**
 *
 * @author jotty
 *
 */
public class ToolQuickiepowderAxe extends ToolRangeableAxe {

	public ToolQuickiepowderAxe() {
		super(ToolMaterials.DIAMOND, 5, 2.0f, new FabricItemSettings());
	}

	@Override
	public HarvestRange getRange(ItemStack stack) {
		// TODO: get the range from the stack
		return new HarvestRange(64, 128, 64); // trees bigger than that are too heavy for one small axe...
	}
}
