package de.jottyfan.minecraft.quickiefabric.blocks.help;

import net.minecraft.util.math.intprovider.IntProvider;
import net.minecraft.util.math.intprovider.IntProviderType;
import net.minecraft.util.math.random.Random;

/**
 *
 * @author jotty
 *
 */
public class IntProviderHelper {
	public static final IntProvider of(Integer min, Integer max) {
		return new IntProvider() {

			@Override
			public IntProviderType<?> getType() {
				return IntProviderType.CONSTANT;
			}

			@Override
			public int getMin() {
				return min;
			}

			@Override
			public int getMax() {
				return max;
			}

			@Override
			public int get(Random random) {
				return random.nextBetween(min, max);
			}
		};
	}
}
