package de.jottyfan.minecraft.quickiefabric.world.gen.feature;

import com.mojang.serialization.Codec;

import de.jottyfan.minecraft.quickiefabric.blocks.QuickieBlocks;
import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.StructureWorldAccess;
import net.minecraft.world.gen.feature.Feature;
import net.minecraft.world.gen.feature.util.FeatureContext;

/**
 *
 * @author jotty
 *
 */
@Deprecated
public class SulforpadFeature extends Feature<SulforpadFeatureConfig> {

	public SulforpadFeature(Codec<SulforpadFeatureConfig> configCodec) {
		super(configCodec);
	}

	@Override
	public boolean generate(FeatureContext<SulforpadFeatureConfig> context) {
		StructureWorldAccess world = context.getWorld();
		BlockPos pos = context.getOrigin();
		BlockState blockState = QuickieBlocks.SULFORPAD.getDefaultState();
		BlockPos currentPos = new BlockPos(pos);
		for (int y = 0; y < world.getHeight(); y++) {
			currentPos = currentPos.up();
			if (world.getBlockState(currentPos).isOf(Blocks.LAVA)) {
				if (world.getBlockState(currentPos.up()).isAir()) {
					world.setBlockState(currentPos.up(), blockState, 0x10);
					currentPos = currentPos.up();
					return true;
				}
			}
		}
		return false;
	}
}
